libratbag4_0.9-4_i386.deb


Advertisement

Description

libratbag4 - configuration library for gaming mice

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libratbag4
Package version 0.9
Package release 4
Package architecture i386
Package type deb
Installed size 171 B
Download size 57.00 KB
Official Mirror archive.ubuntu.com
libratbag is a configuration library for gaming mice. It provides a
generic way to access the various features exposed by these mice and
abstracts away hardware-specific and kernel-specific quirks.
It currently supports some Etekcity and Roccat mice, and most
Logitech mice (both gaming and generic mice).

Alternatives

Package Version Architecture Repository
libratbag4_0.9-4_amd64.deb 0.9 amd64 Ubuntu Universe
libratbag4 - - -

Requires

Name Value
libc6 >= 2.4
libevdev2 >= 0.9.1
libratbag-common = 0.9-4
libudev1 >= 183

Download

Type URL
Binary Package libratbag4_0.9-4_i386.deb
Source Package libratbag

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libratbag4 deb package:
    # sudo apt-get install libratbag4

Files

Path
/usr/lib/i386-linux-gnu/libratbag.so.4
/usr/lib/i386-linux-gnu/libratbag.so.4.0.3
/usr/share/doc/libratbag4/changelog.Debian.gz
/usr/share/doc/libratbag4/copyright

Changelog

2018-01-10 - Stephen Kitt <skitt@debian.org>
libratbag (0.9-4) unstable; urgency=medium
* Make libratbag-tools break liblur3, ensuring that we can’t end up
with a missing lur-command.1. Closes: #867671. Thanks Andreas!
* Switch to debhelper compatibility level 11. This moves the
documentation from /usr/share/doc/libratbag-doc to
/usr/share/doc/libratbag-dev, still in the libratbag-doc package.
* Standards-Version 4.1.3, no further change required.
2017-11-05 - Stephen Kitt <skitt@debian.org>
libratbag (0.9-3) unstable; urgency=medium
* Use “value” instead of “default” in meson_options.txt to allow
building with 0.43. Closes: #880869.
* Update debian/copyright.
* Standards-Version 4.1.1, no further change required.
2017-07-07 - Stephen Kitt <skitt@debian.org>
libratbag (0.9-2) unstable; urgency=medium
* lur-command.1 ended up in liblur3 0.5, so libratbag-tools needs to
replace it.
2017-06-19 - Stephen Kitt <skitt@debian.org>
libratbag (0.9-1) unstable; urgency=medium
* New upstream release, using Meson, obsoleting
configure-valgrind.patch and including the lur-command manpage.
* Switch to debhelper compatibility level 10.
* Update watch file.
2016-10-26 - Stephen Kitt <skitt@debian.org>
libratbag (0.5-2) unstable; urgency=medium
* Disable valgrind and remove it from the build-dependencies — it's
currently not very useful with the included tests, and it limits the
architectures we can build successfully on.
* Re-enable symbols-leak-test, it works fine without valgrind.
* Avoid shipping the unnecessary .md5 files generated by doxygen.
* Add a manpage for lur-command.
2016-09-16 - Stephen Kitt <skitt@debian.org>
libratbag (0.5-1) unstable; urgency=medium
* New upstream release.
* Add build-dependency on check for the tests (but disable
symbols-leak-test for now — it blows up because of issues in bash).
* Clean up debian/control with cme.
* Standards-Version 3.9.8, no change required.
2016-03-31 - Stephen Kitt <skitt@debian.org>
libratbag (0.4-2) unstable; urgency=medium
* Split the common files out, otherwise transitions will be
impossible.
* Install udev files in /lib/udev. Closes: #819633.
2016-03-16 - Stephen Kitt <skitt@debian.org>
libratbag (0.4-1) unstable; urgency=medium
* New upstream release.
2016-03-08 - Stephen Kitt <skitt@debian.org>
libratbag (0.3-2) unstable; urgency=medium
* Install udev files in /lib/udev.
2016-03-05 - Stephen Kitt <skitt@debian.org>
libratbag (0.3-1) unstable; urgency=low
* Initial release. Closes: #801896.

See Also

Package Description
libratpoints-2.1.3_2.1.3-1build1_i386.deb library for finding rational points on hyperelliptic curves
libratpoints-dev_2.1.3-1build1_i386.deb development files for libratpoints
libraul-dev_0.8.0+dfsg0-0.1ubuntu1_i386.deb real time audio utility library -- development files
libraul-doc_0.8.0+dfsg0-0.1ubuntu1_all.deb real time audio utility library -- documentation
libraul10v5_0.8.0+dfsg0-0.1ubuntu1_i386.deb real time audio utility library
libraven0_10.4+git20171031.10.g9f71bb8-1.2ubuntu1_i386.deb Raven library for budgie-desktop
libraw-bin_0.18.8-1_i386.deb raw image decoder library (tools)
libraynes-fs-clojure_1.4.6-1_all.deb filesystem utility library for Clojure
librbl-dev_2.11.0~alpha-11build1_i386.deb Headers/development libraries for the OpenDKIM RBL library
librbl1_2.11.0~alpha-11build1_i386.deb Library to support a DKIM based RBL system
librcc-dev_0.2.12-0.1_i386.deb Library for autoconvert codepages development files
librcc0_0.2.12-0.1_i386.deb Library for autoconvert codepages
librccgtk2-0_0.2.12-0.1_i386.deb Library for autoconvert codepages GTK2 interface
librcd-dev_0.1.13-3build1_i386.deb Library for autodection charset of Russian text - dev files
librcd0_0.1.13-3build1_i386.deb Library for autodection charset of Russian text
Advertisement
Advertisement